/* @group GENERAL */
.not-mobile {
    display: none;
}

.light-grey-style {
    background: #444343 no-repeat center;
    box-shadow: 0 0 2px #000;
    border: 1px solid #4A4A4A;
}

.light-grey-style:hover,
.light-grey-style:active,
.light-grey-style:focus {
    background-color: #555;
    box-shadow: 0 0 2px #222;
    border-color: #5f5f5f;
}

.animated {
    transition: all .2s ease-in-out;
}

div.jp-interface div button {
    margin-bottom: -3px;
    padding: 5px;
    cursor: pointer;
    width: 40px;
    height: 40px;
    float: left;
    border-bottom: 1px solid #848383 !important;
}

div.jp-interface div button:hover,
div.jp-interface div button:active,
div.jp-interface div button:focus {
    outline: none;
    border-bottom-color: #ffffff !important;
}

div.jp-audio {
    width: 100%;
}

div.jp-interface {
    position: fixed;
    width: 100%;
    color: #ffffff;
    height: 40px;
    top: 0;
    left: 0;
    margin: 0;
    z-index: 19;
    background-color: #000;
    box-shadow: 0 0 10px #555;
    font-family: Verdana, Arial, sans-serif;
    font-size: 0.9em;
}

/* @end */

/* @group CONTROLS */

button.jp-play {
	background-image: url("../images/play-white.png");
}
button.jp-pause {
	background-image: url("../images/pause-white.png");
	display: none;
}

button.jp-previous {
	background-image: url("../images/step-backward-white.png");
}

button.jp-next {
	background-image: url("../images/step-forward-white.png");
}

/* @end */

/* @group progress bar */

div.jp-progress {
    position: absolute;
    display: inline-block;
    height: 39px;
    width: 300px;
    margin: 0 3px;
    cursor: pointer;
    background: #E8E8E8;
    box-shadow: inset 0 0 10px #FFF;
    color: #000;
}

div.jp-progress:hover {
    box-shadow: inset 0 0 10px #999;
}

div.jp-progress div {
    display: block;
}

div.jp-seek-bar {
    width: 100%;
    height: inherit;
    position: relative;
    z-index: 25;
    border: 1px solid #000000;
}

div.jp-seek-bar .track-title {
    position: absolute;
    margin: -26px 0 0 8px;
    font-weight: bold;
    font-size: 1em;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    width: 96%;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

div.jp-play-bar {
    height: inherit;
    margin-top: -1px;
    background-color: rgba(52, 145, 225, 0.4);
    border-right: 1px solid #3395EA;
}

/* The seeking class is added/removed inside jPlayer */

/* @end */

/* @group volume controls */

.controls.mute {
    float: left;
}

button.jp-mute {
	background-image: url("../images/mute-white.png");
    border-right: none;
}

button.jp-unmute {
	background-image: url("../images/no-mute-white.png");
    border-right: none;
	display: none;
}

div.jp-volume-bar-container {
    float: left;
    height: 20px;
    width: 80px;
    margin: 10px 3px 0 0;
    cursor: pointer;
}

div.jp-volume-bar {
    width: 100%;
    height: inherit;
    border: 1px solid #000000;
    background-color: #252525;
    box-shadow: inset 0 0 5px #3C3C3C;
    border-left: none;
}

div.jp-volume-bar:hover {
    box-shadow: inset 0 0 5px #444;
    background-color: #333;
}

div.jp-volume-bar-value {
    height: inherit;
    margin-top: -1px;
    box-shadow: 2px 0 1px #333;
    border-left: none;
}

div.jp-volume-bar-value:hover {
    box-shadow: none !important;
}

/* @end */

/* @group current time and duration */

div.jp-audio div.jp-time-holder {
    width: 140px;
    font-size: 1em;
    margin-top: -27px;
    text-align: center;
    float: right;
    position: relative;
}

span.jp-current-time {
    padding-right: 2px;
}

span.jp-duration {
    border-left: 1px solid #757575;
	padding-left: 5px;
}

/* @end */

/* @group playlist */

div.jp-playlist {
	width:40%;
	overflow-y: auto;
    overflow-x: hidden;
    position: absolute;
    right: 0;
    z-index: 9;
    min-height: 580px;
    background:rgba(29,29,30,0.9);
}

@media all and (min-width: 701px) {
	div.jp-playlist {
		display: block !important;
	}
}
@media all and (max-width: 700px) {
	div.jp-playlist {
		display: none;
		top: 63px;
		z-index: 9;
		width: 90%;
		box-shadow: 0 0 50px #333;
		overflow-y: auto;
		height: 100%;
	}
}

div.jp-playlist ul {
	list-style-type: none;
	padding: 0;
	font-size: .9em;
	cursor: pointer;
    margin: 35px 0 0;
}

@media all and (max-width: 700px){
	div.jp-playlist ul {
		font-size: 1em;
	}
}

div.jp-playlist li {
    white-space: nowrap;
    font-size: 1.2em;
    padding: 5px 10px 0;
    color: #eee;
    cursor: pointer;
    width: 100%;
}

div.jp-playlist li:hover,
div.jp-playlist li:active,
div.jp-playlist li:focus {
    background-color: #335571;
    color: #f6f6f6;
}

div.jp-playlist li div {
	display: inline-block;
}

div.jp-playlist li.jp-playlist-current {
    background-color: #A0C6E6;
    color: #222;
}

div.jp-playlist li.jp-playlist-current:hover,
div.jp-playlist li.jp-playlist-current:active,
div.jp-playlist li.jp-playlist-current:focus {
    background-color: #cbe7ff;
    color: #000;
}

div.jp-playlist li a {
    text-decoration: none;
    display: inline-block;
    color: inherit;
}

div.jp-playlist li a.jp-playlist-item {
    width: 88%;
    overflow: hidden;
    text-overflow: ellipsis;
    color: inherit;
}

div.jp-playlist li a.jp-playlist-item-remove {
    float: right;
    position: relative;
    display: block;
    margin-top: -5px;
    padding: 5px 18px 5px 10px;
    font-weight: bold;
}

div.jp-playlist li a.jp-playlist-item-remove:hover,
div.jp-playlist li a.jp-playlist-item-remove:active,
div.jp-playlist li a.jp-playlist-item-remove:focus {
    background-color: #E70000;
    color: #fff;
}

/* @end */

/* @group TOGGLES */

/* The audio toggles are nested inside jp-time-holder */

.controls.repeat {
    float: right;
}

button.jp-repeat {
    background-image: url("../images/repeat-white.png");
}

button.jp-repeat-off {
    background: #86B7E0 url("../images/repeat-white.png") no-repeat center;
    border-bottom-color: #ffffff !important;
}

/* @end */

/* @group NO SOLUTION error feedback */

.jp-no-solution {
	padding:5px;
	font-size:.8em;
	background-color:#eee;
	border:2px solid #009be3;
	color:#000;
	display:none;
}

.jp-no-solution a {
	color:#000;
}

.jp-no-solution span {
	font-size:1em;
	display:block;
	text-align:center;
	font-weight:bold;
}

/* @end */

@media (min-width: 701px){
    div.jp-interface {
        padding: 0 10px;
    }

    div.jp-progress {
        height: 20px;
        margin: 10px 3px 0 10px;
    }

    div.jp-seek-bar .track-title {
        margin: -18px 0 0 5px;
        font-size: .9em;
    }

    div.jp-audio div.jp-time-holder {
        margin-top: -19px;
        font-size: 0.8em;
    }

    .not-mobile {
        display: inline-block;
    }

    .controls.play {
        display: inline-block;
        margin-left: 10px;
    }

    .controls.repeat {
        margin-right: 20px;
    }
}
